
QGIS Application - Bug report #20568

QGIS 3.4.1 advanced modification and snap block QGIS

2018-11-20 09:05 PM - salvatore fiandaca

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.4.1 Regression?: No

Operating System: win 10 - osgeo4w Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28388

Description

steps to reproduce the problem:

1. start QGIS 3.4.1

2. create a new temporary - polygonal shapefile - epsg 3004;

3. draw a rectangle;

4. activate add element polygonal;

5. activate advanced editing tools;

6. activate the snapping (s);

7. try to add an element using the snap;

8. QGIS stops and closes.

History

#1 - 2018-11-21 12:59 PM - Giovanni Manghi

- Status changed from Open to Feedback

I cannot confirm, or maybe I don't understand what you mean in the step4. A screencast would help.

Also try with NO 3rd party plugins (clean/new profile).

#2 - 2018-11-21 03:08 PM - salvatore fiandaca

I created a new profile and everything works.

I have to find the killer plugin.

thank you

in this video the problem with an old qgis profile

https://youtu.be/cgUdx5xd8lM

#3 - 2019-01-30 01:47 PM - Hugo Mercier

- Status changed from Feedback to Closed
https://youtu.be/cgUdx5xd8lM

